Subject: Re: linux-next: Fixes tag needs some work in the fbdev tree

From: Michal Vokáč <[email-masked]>
Date: Mon, 11 Feb 2019 10:10:33 +0100

On 10. 02. 19 21:24, Stephen Rothwell wrote:
> Hi Bartlomiej,
> 
> In commit
> 
>    7d7e58d30e04 ("dt-bindings: display: ssd1307fb: Remove reset-active-low from examples")
> 
> Fixes tag
> 
>    Fixes: 519b4db ("fbdev: ssd1307fb: Remove reset-active-low from the DT binding document")
> 
> has these problem(s):
> 
>    - SHA1 should be at least 12 digits long
>      Can be fixed by setting core.abbrev to 12 (or more) or (for git v2.11
>      or later) just making sure it is not set (or set to "auto").

Hi Stephen,

Sorry, that is my fault, I put the Fixes tag into the submitted patch.
Thanks for the git configuration hint. All my machines were configured
correctly except the one I generated the Fixes tag on, ups :(

Normally checkpatch.pl does a good job identifying errors in referenced
commits. Unfortunately it did not complain in this case. Would be nice
to add this check. I skimmed through the appropriate part of the script
but I do not feel like adding this feature myself, Perl is not my domain.

Sorry for the inconvenience.
Michal